Support » Plugin: Maintenance » Conflict with theme

  • Resolved Kramarz

    (@kramarz)


    Hi Guys,

    As far as I understand, looks like I got a theme here that already loads google fonts, so when your new version of plugin (after updating to 3.5.1) tries to do it, everything breaks and have to disable your plugin through FTP to be able to see website / login to it.

    Error message looks like this:

    Cannot redeclare add_google_fonts() (previously declared in …/wp-content/plugins/maintenance/load/functions.php:91) in …/wp-content/themes/(…)/inc/theme-options/assets/google-fonts.php on line 769

    Any ideas?

    P.S.
    As a temporary fix I have commented out whole ‘function add_google_fonts()’ from your plugin.

    P.S.2
    Am I wrong suggesting a fix – simply rename your function to something more unique, like ‘mt_add_google_fonts’?

    • This topic was modified 2 years, 1 month ago by  Kramarz.
    • This topic was modified 2 years, 1 month ago by  Kramarz. Reason: Fix Suggestion
Viewing 3 replies - 1 through 3 (of 3 total)
Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Conflict with theme’ is closed to new replies.